OSDK 1.8

Questions, bug reports, features requests, ... about the Oric Software Development Kit. Please indicate clearly in the title the related element (OSDK for generic questions, PictConv, FilePack, XA, Euphoric, etc...) to make it easy to locate messages.

Post Reply
User avatar
Dbug
Site Admin
Posts: 2314
Joined: Fri Jan 06, 2006 10:00 pm
Location: Oslo, Norway
Contact:

OSDK 1.8

Post by Dbug » Sun Jan 17, 2016 9:32 pm

The version 1.8 of the OSDK is now available, with the following changes:

- The build script is now correctly setting up XA: If you use 65816 or 65c02 instructions they will be refused with an error message
- Upgraded Link65 to the version 0.64 (fixed a bunch of problems with include files and external symbols)
- Upgraded FloppyBuilder to version 0.19 (Better error handling).
Improved the FloppyBuilder sample program with a new API file to make it easier to use

As usual, the OSDK is available on the download page at
http://osdk.defence-force.org/index?page=download

There will be more fixes coming in the following weeks as we merge changes made other developers and discuss tweaks to be done to the FloppyBuilder system to make it truly universal.

As usual, please report any issue, changing things like the Linker or build script tend to have side effects for people who used different projects setups :)

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests